<?php
/**
 * Copyright (C) 2020 Leipzig University Library
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * @author  Sebastian Kehr <kehr@ub.uni-leipzig.de>
 * @author  Gregor Gawol <gawol@ub.uni-leipzig.de>
 * @author  Alexander Purr <purr@ub.uni-leipzig.de>
 * @license http://opensource.org/licenses/gpl-2.0.php GNU GPLv2
 */

use fid_bbi\InputFilter\UserCreateFormInputFilter;

return [
    'elements'     => [
        'firstname'             => [
            'spec' => [
                'attributes' => [
                    'required' => false,
                ],
            ],
        ],
        'lastname'              => [
            'spec' => [
                'attributes' => [
                    'required' => false,
                ],
            ],
        ],
        'home_library'          => [
            'spec' => [
                'attributes' => [
                    'required' => false,
                ],
            ],
        ],
        'job_title'             => [
            'spec' => [
                'options'    => [
                    'label'         => 'label_job_title',
                    'value_options' => [
                        'job_title_2',
                        'job_title_3'
                    ],
                ],
            ],
        ],
    ],
    'input_filter' => [
        'type'                  => UserCreateFormInputFilter::class,
        'firstname'             => [
            'required'   => false,
        ],
        'lastname'              => [
            'required'   => false,
        ],
        'home_library'          => [
            'required'   => false,
        ],
    ],
];
